# HREDLEAK -- Compute and correct for light leak at red end of spectrum
# By Doug Mink and Bill Wyatt SAO/TDC
# May 22, 2007

procedure hredleak (images)

string	images = ""	{prompt="Input multispec images to correct"}
bool deltemp = no	{prompt="Delete temporary files (y or n)"}
bool saveold = yes	{prompt="Save unprocessed files to Notran/ (y or n)"}
bool verbose = yes	{prompt="Log progress (y or n)"}
bool debug = no		{prompt="Log each aperture (y or n)"}

begin
	bool vb, db, save, del
	file imin, imroot, newfile, templist
	string ims, tchar
	int index, iap, nap, npix, lroot, xcol, ycol
	real x, y, rad, ratio

	if (!deftask ("emsao")) {
	    rvsao (motd=no)
	    }
	if (!defpac ("wcstools")) {
	    wcstools (motd=no)
	    }

	ims = images
	vb = verbose
	db = debug
	del = deltemp
	save = saveold

#  Make temporary list of input files
	tchar = substr (ims,1,1)
        if (tchar == '@') {
	    templist = substr (ims,2,100)
	    }
	else {
	    templist = mktemp ("htranlist")
	    files (ims, >templist)
	    }
	list = templist
	while (fscan (list,imin) != EOF) {

# If red leak has not been corrected for, do it
	    hredleak1 (imin, deltemp=del, saveold=save, verbose=vb, debug=db)
	    }

	if (deltemp && tchar != '@') {
	    delete (templist)
	    }
end

# Feb 13 2007	New task to call hredleak1

# May 22 2007	Check for package wcstools instead of task sethead
